<script type="text/javascript" src="js/jqBootstrapValidation.js"></script>
<script>
  $(function () { $("input,select,textarea").not("[type=submit]").jqBootstrapValidation(); } );
</script>
<div class="container" style="margin-top:20px">
	<h1>Trocar Senha</h1>
	<p>Prezado <?=$_SESSION["max"]["nome"];?> é necessário trocar sua senha:</p>

	<?php
		$msg = "";
		if ($_POST) {

			$senha = $nova = $atual = "";
			if ( isset($_POST["senha"])) $senha = trim ( $_POST["senha"] );
			if ( isset($_POST["nova"])) $nova = trim ( $_POST["nova"] );
			if ( isset($_POST["atual"])) $atual = trim ( $_POST["atual"] );

			if ( empty ( $senha ) ) $msg = "<div class='alert alert-danger'>Preencha a senha</div>";
			else if ( $senha != $nova ) $msg = "<div class='alert alert-danger'>A senha digitada é diferente da nova senha</div>";
			else if ( empty ($atual ))
				$msg = "<div class='alert alert-danger'>Digite a senha atual</div>";
			else {

				$id = $_SESSION["max"]["id"];
				$senha = md5($senha);

				$atual = md5($atual);

				$sql = "select * from cliente where id = ? limit 1";
		    	$consulta = $db->prepare($sql);
		    	$consulta->bindParam(1, $_SESSION["max"]["id"]);
		    	$consulta->execute();
		    	$dados = $consulta->fetch(PDO::FETCH_OBJ);

		    	if ( $atual != $dados->senha ) {
		    		$msg = "<div class='alert alert-danger'>A senha atual não confere</div>";
		    	} else {

					$sql = "update cliente set senha = ? where id= ? limit 1";
					$consulta = $db->prepare($sql);
				    $consulta->bindParam(1, $senha);
				    $consulta->bindParam(2, $id);
				    if ( $consulta->execute() ) 
				    	$msg = "<div class='alert alert-success'>A sua senha foi modificada com sucesso! Utilize-a no próximo login.</div>";
				    else 
				    	$msg = "<div class='alert alert-danger'>Erro ao atualizar senha. Por favor, tente novamente</div>";
				}

			}
		}

		echo $msg;

	?>

	<form name="form1" method="post" novalidate class="form-inline">

		<div class="control-group">
			<label for="atual">Senha Atual:</label>
			<div class="controls">
				<input type="password" class="form-control" name="atual" required data-validation-required-message="Digite sua senha atual"
				>
			</div>
		</div>

		<div class="control-group">
			<label for="senha">Nova Senha (min. 6 caracteres):</label>
			<div class="controls">
				<input type="password" class="form-control" name="senha" required data-validation-required-message="Digite uma senha com no mínimo 6 caracteres"
				min="6" data-validation-min-message="Digite uma senha com pelo menos 6 caracteres. Utilize letras e números para uma senha forte.">
			</div>
		</div>

		<div class="control-group">
			<label for="nova">Redigitar a Nova Senha:</label>
			<div class="controls">
				<input type="password" class="form-control" name="nova" required data-validation-required-message="Digite uma senha com no mínimo 6 caracteres"
				data-validation-match-match="senha"
				data-validation-match-message="As senhas digitadas não conferem">
			</div>
		</div>
		<button type="submit" class="btn btn-success">Atualizar</button>

	</form>
</div>